/*!
 * #%L
 * chvote-bo
 * %%
 * Copyright (C) 2016 - 2019 République et Canton de Genève
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */

@import '~@angular/material/theming';

@mixin grouped-grid-component-theme($theme) {

  $primary: map-get($theme, primary);
  $foreground: map-get($theme, foreground);
  $background: map-get($theme, background);

  .grid-group {
    background-color: mat-color($primary, 50);
    &:hover {
      background-color: mat-color($primary);
      div {
        color: mat-color($primary, default-contrast);
      }
    }
  }

  .grouped-grid > table {
    td {
      border-top: 0.1rem solid mat-color($foreground, divider);
      border-bottom: 0.1rem solid mat-color($foreground, divider);
      color: mat-color($foreground, text);
    }
  }
}
